<?php
// URL EXAMPLE DASHLET
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: testurl.inc.php 9 2009-11-14 21:06:29Z egalstad $

include_once(dirname(__FILE__).'/../dashlethelper.inc.php');

// run the initialization function
testurl_dashlet_init();

function testurl_dashlet_init(){
	
	// respect the name!
	$name="testurl";
	
	$args=array(

		// need a name
		DASHLET_NAME => $name,
		
		// informative information
		DASHLET_VERSION => "1.0",
		DASHLET_DATE => "09-22-2009",
		DASHLET_AUTHOR => "Nagios Enterprises, LLC",
		DASHLET_DESCRIPTION => "A test of an URL dashlet.  For this test we chose to embed the so-called 'powerful' Google as a tiny little dashlet we can move, resize, and delete at a whim.  Take that, search overlord!",
		DASHLET_COPYRIGHT => "Copyright (c) 2009 Nagios Enterprises",
		DASHLET_LICENSE => "BSD",
		DASHLET_HOMEPAGE => "http://www.nagios.com",
		
		DASHLET_URL => "http://www.google.com",
		DASHLET_PREVIEW_IMAGE => get_dashlet_url_base("testurl")."/preview.png",
		
		DASHLET_TITLE => "Simple URL Dashlet",
		
		DASHLET_OUTBOARD_CLASS => "testurl_outboardclass",
		DASHLET_INBOARD_CLASS => "testurl_inboardclass",
		DASHLET_PREVIEW_CLASS => "testurl_previewclass",
		
		DASHLET_CSS_FILE => "testurl.css",
		//DASHLET_JS_FILE => "testurl.js",

		DASHLET_WIDTH => "600",
		DASHLET_HEIGHT => "100",
		DASHLET_OPACITY => "0.7",
		DASHLET_BACKGROUND => "",

//		DASHLET_REFRESHRATE => -1,
		);
	register_dashlet($name,$args);
	}
	

?>